> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payments



## OpenAPI

````yaml openapi/payments.yaml get /v1/payments
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Deposits API
  description: >
    The Circle Payments API allows you to take payments from your end users via
    traditional methods such as debit & credit cards and receive settlement in
    USDC.


    The Circle Payments API has been designed with any business or internet
    commerce in mind, not just crypto applications, and it's based on Circle's
    extensive experience processing millions of card payments since 2014.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Crypto Payment Intents
    description: Create and track intent for end user to pay via crypto.
paths:
  /v1/payments:
    get:
      tags:
        - Payments
      summary: List all payments
      operationId: listPayments
      parameters:
        - $ref: '#/components/parameters/Source'
        - $ref: '#/components/parameters/SettlementId'
        - $ref: '#/components/parameters/PaymentIntentId'
        - $ref: '#/components/parameters/PaymentSourceType'
        - $ref: '#/components/parameters/PaymentStatus'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of payments.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: ListPaymentsResponse
                properties:
                  data:
                    type: array
                    items:
                      oneOf:
                        - $ref: '#/components/schemas/FiatPayment'
                        - $ref: '#/components/schemas/CryptoPayment'
                        - $ref: '#/components/schemas/FiatCancel'
                        - $ref: '#/components/schemas/FiatRefund'
              examples:
                Fiat Payment:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        type: payment
                        merchantId: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                        merchantWalletId: '212000'
                        amount:
                          amount: '3.14'
                          currency: USD
                        fromAmount:
                          amount: '3.14'
                          currency: EUR
                        source:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: card
                        description: Payment
                        status: pending
                        captured: false
                        captureAmount:
                          amount: '3.14'
                          currency: USD
                        captureDate: '2020-04-10T02:13:30.000Z'
                        requiredAction:
                          type: three_d_secure_required
                          redirectUrl: https://example.org
                        cancel:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: cancel
                          description: Payment
                          status: pending
                          createDate: '2020-04-10T02:13:30.000Z'
                        refunds:
                          - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: payment
                            amount:
                              amount: '3.14'
                              currency: USD
                            description: Payment
                            status: pending
                            requiredAction:
                              type: three_d_secure_required
                              redirectUrl: https://example.org
                            fees:
                              amount: '3.14'
                              currency: USD
                            createDate: '2020-04-10T02:13:30.000Z'
                        fees:
                          amount: '3.14'
                          currency: USD
                        channel: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                Crypto Payment:
                  value:
                    data:
                      - id: 66c56b6a-fc79-338b-8b94-aacc4f0f18de
                        type: payment
                        status: paid
                        amount:
                          amount: '1.00'
                          currency: USD
                        fees:
                          amount: '0.01'
                          currency: USD
                        networkFees:
                          amount: '0.01'
                          currency: USD
                          feePayer: endUser
                        merchantId: f1397191-56e6-42fd-be86-0a7b9bd91522
                        merchantWalletId: '1000999922'
                        paymentIntentId: 6e4d4047-db14-4c09-b238-1215aee50d03
                        settlementAmount:
                          amount: '1.00'
                          currency: USD
                        fromAddresses:
                          chain: ETH
                          addresses:
                            - '0x0d4344cFF68F72A5B9Abded37CA5862941a62050'
                        depositAddress:
                          chain: ETH
                          address: '0x97de855690955e0da79ce5c1b6804847e7070c7f'
                        transactionHash: >-
                          0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
                        createDate: '2022-07-21T20:16:35.092852Z'
                        updateDate: '2022-07-21T20:19:24.719313Z'
                Fiat Cancel:
                  value:
                    data:
                      - id: 2dc266f5-0658-48ec-a81f-9c768279564d
                        type: cancel
                        status: confirmed
                        description: Cancel Payment
                        amount:
                          amount: '10.00'
                          currency: USD
                        createDate: '2022-04-21T21:50:34.274Z'
                        updateDate: '2022-04-21T21:50:34.647839Z'
                        merchantId: b1e4e9fe-0bf1-43ad-86c7-3ab993b0051b
                        merchantWalletId: '1000174786'
                        source:
                          id: bc9157fe-5d73-48fe-9e77-9f6723bdcfeb
                          type: card
                        originalPayment:
                          id: 2812f549-062a-4bdd-8ee5-b521aa48a84d
                          type: payment
                          status: failed
                          createDate: '2022-04-21T21:47:41.501Z'
                          updateDate: '2022-04-21T21:50:34.669012Z'
                        reason: requested_by_customer
                Fiat Refund:
                  value:
                    data:
                      - id: 03fbe7da-096a-4763-af77-e43006cd83be
                        type: refund
                        status: paid
                        description: Refund Payment
                        amount:
                          amount: '3.14'
                          currency: USD
                        fees:
                          amount: '0.00'
                          currency: USD
                        createDate: '2022-04-21T12:49:21.146Z'
                        updateDate: '2022-04-21T12:54:10.596976Z'
                        merchantId: b1e4e9fe-0bf1-43ad-86c7-3ab993b0051b
                        merchantWalletId: '1000174786'
                        source:
                          id: 45fa5524-41b9-48ca-94cd-f45cb36cce4d
                          type: card
                        originalPayment:
                          id: 895f8db5-1d8c-407d-9533-b5ca3fbcc74e
                          type: payment
                          status: paid
                          createDate: '2022-04-06T19:33:29.690Z'
                          updateDate: '2022-04-06T19:47:23.681180Z'
                        reason: requested_by_customer
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    Source:
      name: source
      description: >-
        Universally unique identifier (UUID v4) for the source. Filters results
        to fetch only payments made from the provdided source.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
    SettlementId:
      name: settlementId
      description: >-
        Queries items with the specified settlement id. Matches any settlement
        id if unspecified.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: b48c8962-8e9f-40c3-9f1d-d9adde2ffe61
    PaymentIntentId:
      name: paymentIntentId
      description: Queries items with the specified payment intent id.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: b48c8962-8e9f-40c3-9f1d-d9adde2ffe61
    PaymentSourceType:
      name: type
      description: >-
        Source account type. Filters the results to fetch all payments made from
        a specified account type. Matches any source type if unspecified.
      in: query
      required: false
      schema:
        type: array
        uniqueItems: true
        items:
          type: string
          enum:
            - card
    PaymentStatus:
      name: status
      description: >-
        Queries items with the specified status. Matches any status if
        unspecified.
      in: query
      required: false
      schema:
        type: string
        enum:
          - pending
          - confirmed
          - paid
          - failed
          - action_required
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    FiatPayment:
      type: object
      description: >-
        Status information of the related payment. This property is only present
        on refund or cancel items.
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          description: Type of the payment object.
          type: string
          enum:
            - payment
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fromAmount:
          $ref: '#/components/schemas/FiatMoney'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/PaymentStatus'
        captured:
          description: >-
            Determines if a payment has successfully been captured. This
            property is only present for payments that did not use auto capture.
          type: boolean
        captureAmount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        captureDate:
          $ref: '#/components/schemas/UtcTimestamp'
        requiredAction:
          $ref: '#/components/schemas/RequiredAction'
        cancel:
          $ref: '#/components/schemas/PaymentInfoCancel'
        refunds:
          type: array
          items:
            $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    CryptoPayment:
      type: object
      description: Status information of the related payment.
      required:
        - id
        - type
        - merchantId
        - amount
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - payment
            - refund
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/CryptoPaymentsOptionalAmountMoney'
        status:
          $ref: '#/components/schemas/PaymentStatus'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        networkFees:
          $ref: '#/components/schemas/CryptoPaymentNetworkFee'
        paymentIntentId:
          type: string
          format: uuid
          example: 6e4d4047-db14-4c09-b238-1215aee50d03
        settlementAmount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fromAddresses:
          type: object
          properties:
            chain:
              $ref: '#/components/schemas/Chain'
            addresses:
              type: array
              items:
                $ref: '#/components/schemas/Address'
        depositAddress:
          type: object
          properties:
            chain:
              $ref: '#/components/schemas/Chain'
            address:
              type: string
              example: '0x97de855690955e0da79ce5c1b6804847e7070c7f'
            addressTag:
              $ref: '#/components/schemas/AddressTag'
        transactionHash:
          type: string
          example: '0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
    FiatCancel:
      type: object
      description: >-
        Status information of the related cancel. This property is only present
        on canceled payment or refund items.
      nullable: true
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - cancel
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        originalPayment:
          $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    FiatRefund:
      type: object
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          description: Type of the payment object.
          type: string
          enum:
            - refund
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        originalPayment:
          $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        cancel:
          $ref: '#/components/schemas/PaymentInfoCancel'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    IdMerchant:
      type: string
      description: Unique system generated identifier for the merchant.
      format: uuid
      example: fc988ed5-c129-4f70-a064-e5beb7eb8e32
    MerchantWalletId:
      type: string
      description: Unique system generated identifier for the wallet of the merchant.
      maxLength: 36
      example: '212000'
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    FiatMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    SourceResponse:
      type: object
      description: The payment source.
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the source.
          enum:
            - card
            - ach
            - wire
            - sepa
    PaymentStatus:
      type: string
      description: >-
        Enumerated status of the payment. `pending` means the payment is waiting
        to be processed. `confirmed` means the payment has been approved by the
        bank and the merchant can treat it as successful, but settlement funds
        are not yet available to the merchant.  `paid` means settlement funds
        have been received and are available to the merchant. `failed` means
        something went wrong (most commonly that the payment was denied).
        `action_required` means that additional steps are required to process
        this payment; refer to `requiredAction` for more details. Terminal
        states are `paid` and `failed`.
      enum:
        - pending
        - confirmed
        - paid
        - failed
        - action_required
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    RequiredAction:
      type: object
      description: >-
        When the payment status is `action_required`, this object summarizes the
        required additional steps.
      required:
        - type
        - redirectUrl
      properties:
        type:
          type: string
          description: >-
            The type of action that is required to proceed with the payment.
            Currently only one type is supported.
          enum:
            - three_d_secure_required
        redirectUrl:
          type: string
          description: The URL to bring the user to in order to complete the payment.
          example: https://example.org
    PaymentInfoCancel:
      type: object
      description: >-
        Status information of the related cancel. This property is only present
        on canceled payment or refund items.
      nullable: true
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - cancel
        description:
          description: Enumerated description of the payment item.
          type: string
          nullable: true
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
    PaymentInfoPaymentAndRefund:
      type: object
      description: >-
        Status information of the related payment. This property is only present
        on refund or cancel items.
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - payment
            - refund
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        description:
          description: Enumerated description of the payment item.
          type: string
          nullable: true
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/PaymentStatus'
        requiredAction:
          $ref: '#/components/schemas/RequiredAction'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
    Channel:
      type: string
      format: uuid
      description: >-
        The channel identifier that can be set for the payment. When not
        provided, the default channel is used.
      example: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
    CryptoPaymentsOptionalAmountMoney:
      type: object
      required:
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
            - ETH
            - BTC
    CryptoPaymentNetworkFee:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
            - EUR
            - BTC
            - ETH
        feePayer:
          type: string
          description: The party that pays the network fee based on merchant configuration.
          enum:
            - endUser
            - merchant
    Chain:
      type: string
      description: >
        A blockchain that a given currency is available on.


        **Note:** Arc (`ARC`) is only available in the sandbox environment
        (`api-sandbox.circle.com`).
      enum:
        - ALGO
        - APTOS
        - ARB
        - ARC
        - AVAX
        - BASE
        - BTC
        - CELO
        - CODEX
        - ETH
        - HBAR
        - HYPEREVM
        - INK
        - LINEA
        - NEAR
        - NOBLE
        - OP
        - PLUME
        - PAH
        - POLY
        - SEI
        - SOL
        - SONIC
        - SUI
        - UNI
        - WORLDCHAIN
        - XDC
        - XLM
        - XRP
        - ZKS
        - ZKSYNC
    Address:
      type: string
      description: >
        An alphanumeric string representing a blockchain address. Formatting
        varies by blockchain.

        Be sure to preserve the exact formatting and capitalization of the
        address.  

        **Important:** For Ripple (XRP) addresses, only the classic address
        format is supported (for example,
        `rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY`).  

        The `x-address` format is NOT supported currently (for example,
        `XV5sbjUmgPpvXv4ixFWZ5ptAYZ6PD2q1qM6owqNbug8W6KV`).
      example: '0x8381470ED67C3802402dbbFa0058E8871F017A6F'
    AddressTag:
      type: string
      description: >-
        The secondary identifier for a blockchain address. An example of this is
        the memo field on the Stellar network, which can be text, id, or hash
        format.
      nullable: true
      example: '123456789'
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    CancelRefundReversalStatus:
      type: string
      enum:
        - pending
        - confirmed
        - paid
        - failed
      description: >-
        Enumerated status of the payment. `pending` means the payment is waiting
        to be processed. `confirmed` means the payment has been approved by the
        bank and the merchant can treat it as successful, but settlement funds
        are not yet available to the merchant.  `paid` means settlement funds
        have been received and are available to the merchant. `failed` means
        something went wrong (most commonly that the payment was denied).
        Terminal states are `paid` and `failed`.
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````